## kodi-vfs-libarchive 2.0.0+ds1

=== debian/changelog ===
kodi-vfs-libarchive (2.0.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:16 +0000

kodi-vfs-libarchive (2.0.0+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 07:40:53 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/vfs.libarchive/releases \
/xbmc/vfs.libarchive/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-vfs-libarchive 21.0.2%2Bds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vfs.libarchive)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(LibArchive REQUIRED)
find_package(LibLZMA REQUIRED)
find_package(BZip2 REQUIRED)
find_package(ZLIB REQUIRED)
find_package(LZ4 REQUIRED)
find_package(LZO2 REQUIRED)
find_package(OpenSSL REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/..
                    ${LibArchive_INCLUDE_DIRS}
                    ${LIBLZMA_INCLUDE_DIRS}
                    ${BZIP2_INCLUDE_DIR}
                    ${ZLIB_INCLUDE_DIRS}
                    ${LZ4_INCLUDE_DIRS}
                    ${LZO2_INCLUDE_DIRS}
                    ${OPENSSL_INCLUDE_DIR})

set(ARCHIVE_SOURCES src/ArchiveFile.cpp)

set(DEPLIBS ${LibArchive_LIBRARIES}
            ${LIBLZMA_LIBRARIES}
            ${BZIP2_LIBRARIES}
            ${OPENSSL_LIBRARIES}
            ${ZLIB_LIBRARIES}
            ${LZ4_LIBRARIES}
            ${LZO2_LIBRARIES})

add_definitions(-DLIBARCHIVE_STATIC -D_CRT_NONSTDC_NO_DEPRECATE)

build_addon(vfs.libarchive ARCHIVE DEPLIBS)
include(CPack)

## kodi-vfs-libarchive 2.0.1+ds1

=== debian/changelog ===
kodi-vfs-libarchive (2.0.1+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:35:35 +0200

kodi-vfs-libarchive (2.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 2.0.1+ds1
  * Fix github ref

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 May 2021 22:14:39 +0000

=== debian/control ===
Source: kodi-vfs-libarchive
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libarchive-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive.git
Homepage: https://kodi.tv

Package: kodi-vfs-libarchive
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:VFSAPI}
Description: Libarchive VFS add-on for Kodi
 This is a Kodi VFS addon to support archives.
 .
 From libarchive description:
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * zstandard (read and write using libzstd)

## kodi-vfs-libarchive 19.0.0+ds1

=== debian/changelog ===
kodi-vfs-libarchive (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:46 +0000

kodi-vfs-libarchive (2.0.1+ds1-2) unstable; urgency=medium

  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:40:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                kodi-addons-dev (>= 2:19~),
                libarchive-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/vfs.libarchive/releases \
/xbmc/vfs.libarchive/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-vfs-libarchive 19.0.1+ds1

=== debian/changelog ===
kodi-vfs-libarchive (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:48 +0000

kodi-vfs-libarchive (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:43 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libarchive-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## kodi-vfs-libarchive 20.1.0+ds1

=== debian/changelog ===
kodi-vfs-libarchive (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:42 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/vfs.libarchive/releases \
/xbmc/vfs.libarchive/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-vfs-libarchive 20.2.0+ds1

=== debian/changelog ===
kodi-vfs-libarchive (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libarchive-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/vfs.libarchive \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-vfs-libarchive 20.3.0+ds

=== debian/changelog ===
kodi-vfs-libarchive (20.3.0+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:35:59 +1100

kodi-vfs-libarchive (20.3.0+ds-1build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:21:56 +0000

kodi-vfs-libarchive (20.3.0+ds-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:41:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kodi-vfs-libarchive
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libarchive-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/xbmc/vfs.libarchive \

## kodi-vfs-libarchive 21.0.2+ds

=== debian/changelog ===
kodi-vfs-libarchive (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:47:15 +0000

kodi-vfs-libarchive (20.3.0+ds-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:15:06 +0000

kodi-vfs-libarchive (20.3.0+ds-2) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:46:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kodi-vfs-libarchive
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libarchive-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-vfs-libarchive.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-vfs-libarchive

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/vfs.libarchive \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
